# pandas.core.groupby.GroupBy.all

GroupBy.all(skipna=True)

  Return True if all values in the group are truthful, else False.

  Parameters
    skipna bool, default True

      Flag to ignore nan values during truth testing.

  Returns
    Series or DataFrame

      DataFrame or Series of boolean values, where a value is True if all elements are True within its respective group, False otherwise.

  See also

  `Series.groupby`

    Apply a function groupby to a Series.

  `DataFrame.groupby`

    Apply a function groupby to each row or column of a DataFrame.